%{CPP_TEMPLATE}

#include <tqlayout.h>

#include <tdelocale.h>
#include <tdeglobal.h>
#include <tdeparts/genericfactory.h>

#include "%{APPNAMELC}.h"

typedef KGenericFactory<%{APPNAME}, TQWidget> %{APPNAME}Factory;
K_EXPORT_COMPONENT_FACTORY( kcm_%{APPNAME}, %{APPNAME}Factory("kcm%{APPNAMELC}"))

%{APPNAME}::%{APPNAME}(TQWidget *parent, const char *name, const TQStringList&)
    : TDECModule(parent, name), myAboutData(0)
{
    // place widgets here
    load();
};


%{APPNAME}::~%{APPNAME}()
{
}


void %{APPNAME}::load()
{
    // insert your loading code here...
}


void %{APPNAME}::defaults()
{
    // insert your default settings code here...
    emit changed(true);
}


void %{APPNAME}::save()
{
    // insert your saving code here...
    emit changed(true);
}


int %{APPNAME}::buttons()
{
    return TDECModule::Default|TDECModule::Apply|TDECModule::Help;
}


void %{APPNAME}::configChanged()
{
    // insert your saving code here...
    emit changed(true);
}


TQString %{APPNAME}::quickHelp() const
{
    return i18n("Helpful information about the %{APPNAMELC} module.");
}


#include "%{APPNAMELC}.moc"
